This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1310054 - (CVE-2016-2098) CVE-2016-2098 rubygem-actionview, rubygem-actionpack: code injection vulnerability in Action View
CVE-2016-2098 rubygem-actionview, rubygem-actionpack: code injection vulnerab...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160229,repo...
: Security
Depends On: 1310233 1310234 1310235 1310236 1313387 1313388 1313389 1315704 1315705 1316729
Blocks: 1310055
  Show dependency treegraph
 
Reported: 2016-02-19 05:38 EST by Adam Mariš
Modified: 2016-04-11 09:04 EDT (History)
29 users (show)

See Also:
Fixed In Version: rubygem-actionpack 3.2.22.2, rubygem-actionview 4.1.14.2, rubygem-actionview 4.2.5.2
Doc Type: Bug Fix
Doc Text:
A code injection flaw was found in the way Action View component searched for templates for rendering. If an application passed untrusted input to the 'render' method, a remote, unauthenticated attacker could use this flaw to execute arbitrary code.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 17:20:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (2.29 KB, patch)
2016-02-19 05:41 EST, Adam Mariš
no flags Details | Diff
Upstream patch 3.2 (5.34 KB, patch)
2016-03-01 08:51 EST, Adam Mariš
no flags Details | Diff
Upstream patch 4.1 (3.61 KB, patch)
2016-03-01 08:52 EST, Adam Mariš
no flags Details | Diff
Upstream patch 4.2 (3.61 KB, patch)
2016-03-01 08:54 EST, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2016-02-19 05:38:20 EST
Code injection vulnerability in Action Pack was found, possibly leading to remote code execution. Applications that pass unverified user input to the `render` method in a controller may be vulnerable to a code injection.

Impacted code will look like this:

```ruby
class TestController < ApplicationController
  def show
    render params[:id]
  end
end
```

Carefully crafted request parameters, can be used to coerce the above example to execute arbitrary ruby code.

A workaround to this issue is to not pass arbitrary user input to the `render`
method. Instead, verify that data before passing it to the `render` method.

Versions Affected:  3.2.x, 4.0.x, 4.1.x, 4.2.x
Not affected:       5.0+
Fixed Versions:     3.2.22.2, 4.1.14.2, 4.2.5.2
Comment 1 Adam Mariš 2016-02-19 05:40:38 EST
Acknowledgments:

Name: the Ruby on Rails project
Upstream: Tobias Kraze (makandra), joernchen (Phenoelit)
Comment 2 Adam Mariš 2016-02-19 05:41 EST
Created attachment 1128508 [details]
Upstream patch
Comment 5 Adam Mariš 2016-03-01 08:51 EST
Created attachment 1131939 [details]
Upstream patch 3.2
Comment 6 Adam Mariš 2016-03-01 08:52 EST
Created attachment 1131942 [details]
Upstream patch 4.1
Comment 7 Adam Mariš 2016-03-01 08:54 EST
Created attachment 1131943 [details]
Upstream patch 4.2
Comment 8 Adam Mariš 2016-03-01 08:58:47 EST
Affected versions were changed, previous advisory listed these versions:

Versions Affected:  3.2.x, 4.0.x
Not affected:       4.1+
Fixed Versions:     3.2.22.2
Comment 10 Adam Mariš 2016-03-01 09:15:11 EST
Created rubygem-actionpack tracking bugs for this issue:

Affects: fedora-all [bug 1313387]
Comment 12 Adam Mariš 2016-03-01 09:17:12 EST
Created rubygem-actionpack tracking bugs for this issue:

Affects: epel-5 [bug 1313389]
Comment 16 Tomas Hoger 2016-03-11 03:53:21 EST
hackerone report, but it fails to provide any additional information not already included in the upstream announcement:

https://hackerone.com/reports/113928
Comment 20 errata-xmlrpc 2016-03-15 16:59:17 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6

Via RHSA-2016:0456 https://rhn.redhat.com/errata/RHSA-2016-0456.html
Comment 21 errata-xmlrpc 2016-03-15 17:02:05 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2016:0455 https://rhn.redhat.com/errata/RHSA-2016-0455.html
Comment 22 errata-xmlrpc 2016-03-15 17:05:08 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2016:0454 https://rhn.redhat.com/errata/RHSA-2016-0454.html
Comment 23 Fedora Update System 2016-03-17 16:52:11 EDT
rubygem-actionpack-4.2.3-5.fc23, rubygem-actionview-4.2.3-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-03-17 17:19:59 EDT
rubygem-actionpack-4.2.0-4.fc22, rubygem-actionview-4.2.0-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.